#include "helppage.h"

HelpPage::HelpPage(QWidget *parent) :
    QWidget(parent)
{
    layout = new QGridLayout();

    backButton.setText("Back");
    backButton.setMaximumWidth(120);
    ((QGridLayout *)layout)->addWidget(&backButton, 1, 0, 1, 1);

    stringstream str;
    str << SC_PATH << "help.txt";
    string text = readFile(str.str());
    helpText.setLocale(QLocale("Francais"));
    helpText.setPlainText(QString::fromUtf8(text.c_str()));
    ((QGridLayout *)layout)->addWidget(&helpText, 0, 0, 1, 2);
    connect(&backButton, SIGNAL(clicked()), this, SIGNAL(backButtonPressed()));
    this->setLayout(layout);
}

HelpPage::~HelpPage()
{
    delete layout;
}
