#!/bin/bash

#qmake -project
#qmake Slater-Condon.pro

#set -x

echo
echo " Installation script for the Slater-Condon GUI (A. Vieru, P. Reinhardt)"
echo

if [ $# -eq 0 ] 
then
  echo ' use: sh install.sh installation-directory'
  echo
  exit
fi

qmake -o Makefile Slater-Condon.pro

	res=$1"/lib/SlaterCondon/"
	exc=$1"/bin/SlaterCondon/"

	echo $res
	echo $exc
mkdir -p $res
mkdir -p $exc
cp -r SlaterCondon/* $res

make -f Makefile_lib
par="$res"
echo $par
make SC_PATH=$par

make

cp Slater-Condon $exc
cp libxmatel.a $exc
