#include "orbital.h"

Orbital::Orbital()
{
    side = LEFT;
    upStatus = FREE;
    downStatus = FREE;
}

Side Orbital::getSide() const
{
    return side;
}

void Orbital::setSide(Side sd)
{
    side = sd;
}

Status Orbital::getUpStatus() const
{
    return upStatus;
}

void Orbital::setUpStatus(Status s)
{
    upStatus = s;
}

Status Orbital::getDownStatus() const
{
    return downStatus;
}

void Orbital::setDownStatus(Status s)
{
    downStatus = s;
}

int Orbital::getX0() const
{
    return x0;
}

void Orbital::setX0(int x0)
{
    this->x0 = x0;
}

int Orbital::getY0() const
{
    return y0;
}

void Orbital::setY0(int y0)
{
    this->y0 = y0;
}

int Orbital::getIndex() const
{
    return index;
}

void Orbital::setIndex(int idx)
{
    index = idx;
}

float Orbital::spinY()
{
    return y0 - ARROW_HEIGHT / 2.0;
}

void Orbital::setStatus(SpinType spin, Status stat)
{
    if(spin == UP)
        setUpStatus(stat);
    else
        setDownStatus(stat);
}
