#include "configuration.h"

Configuration::Configuration()
{
    excitationDegree = 0;
    nbDoublyOccupied = 0;
}

string Configuration::toString()
{
    stringstream str;
    str << "Doubly occupied:" << this->nbDoublyOccupied << endl
        << "Excitation level: " << this->excitationDegree << endl;
    for(int i = 0; i < excitationDegree; i++)
        str << holes[i] << endl;
    for(int i = 0; i < excitationDegree; i++)
        str << parts[i] << endl;
    return str.str();
}
