#ifndef HELPER_H
#define HELPER_H

#include <fstream>
#include <iostream>
#include <sstream>
using namespace std;

#define WIDTH 900
#define HEIGHT 720
#define X0 100
#define Y0 0
#define RATIO 2.0/3.0
#define DELTA 20
#define NB_ORBITALS 20
#define ORBITAL_Y0 0
#define ORBITAL_DELTA 25
#define LEFT_ORBITAL_X0 250
#define NUMBERING_X 200
#define RIGHT_ORBITAL_X0 550
#define ORBITAL_LEN 80
#define ORBITAL_HEIGHT 15
#define ARROW_DIST 25
#define ARROW_WIDTH 12
#define ARROW_HEIGHT 25
#define IMAGES_Y0 200
#define IMAGES_DIM 200
#define TITLE "Slater-Condon rules"
//#define SC_PATH "../lib/SlaterCondon/"


enum SpinType {UP, DOWN};
enum Side {LEFT, RIGHT};
enum PictureType{SPIN, ORBITAL};
enum Status {FREE, OCCUPIED};
enum PageIndex {MainPageIndex, HelpPageIndex, TheoryPageIndex};

extern "C" {void xmatel_routine_(int &nocc, int &nexl, int inumocl[100], int inumvil[100], int &nexr, int
                      inumocr[100], int inumvir[100], char res_string[1024], int &len);}

string readFile(string fileName);
string putEndCharacter(string str, int len);
#endif // HELPER_H
