#ifndef HELPPAGE_H
#define HELPPAGE_H

#include <QWidget>
#include <QtGui>
#include <string>
#include "helper.h"
using namespace std;

class HelpPage : public QWidget
{
    Q_OBJECT

private:
    QLayout *layout;
    QPlainTextEdit helpText;
    QPushButton backButton;

public:
    explicit HelpPage(QWidget *parent = 0);
    ~HelpPage();
    void createImage(QLabel &label, string imagePath);
signals:
    void backButtonPressed();
public slots:
    
};

#endif // HELPPAGE_H
