#include "spin.h"

Spin::Spin()
{
}

Side Spin::getSide() const
{
    return side;
}
void Spin::setSide(Side sd)
{
    side = sd;
}

int Spin::getInitialOrbital() const
{
    return initialOrbital;
}

void Spin::setInitialOrbital(int orb)
{
    initialOrbital = orb;
}

int Spin::getFinalOrbital() const
{
    return finalOrbital;
}

void Spin::setFinalOrbital(int orb)
{
    finalOrbital = orb;
}

SpinType Spin::getSpin() const
{
    return spin;
}
void Spin::setSpin(SpinType sp)
{
    spin =sp;
}

bool Spin::isCompatibleWithOrbital(Orbital orbital)
{
    if(orbital.getSide() != this->getSide())
        return false;
    if(this->spin == UP && orbital.getUpStatus() == OCCUPIED)
        return false;
    if(this->spin == DOWN && orbital.getDownStatus() == OCCUPIED)
        return false;
    return true;
}
