#ifndef SPIN_H
#define SPIN_H

#include "helper.h"
#include "orbital.h"

class Spin
{
public:
    Spin();

private:
    Side side;
    int initialOrbital;
    int finalOrbital;
    SpinType spin;

public:
    Side getSide() const;
    void setSide(Side sd);

    int getInitialOrbital() const;
    void setInitialOrbital(int orb);

    int getFinalOrbital() const;
    void setFinalOrbital(int orb);

    SpinType getSpin() const;
    void setSpin(SpinType sp);

    bool isCompatibleWithOrbital(Orbital orbital);
};

#endif // SPIN_H
